Custom field for issue status

2007-06-13 13:05 - bajs bajs

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Custom fields Estimated time: 0.00 hour

Target version:    

Resolution: Wont fix   

Description

I would like custom fields for issue statuses, so that one can for example a status called ToMerge with description

of "All done, waiting for merge-day".

Related issues:

Related to Redmine - Feature #2568: Description for issue statuses Closed

Related to Redmine - Feature #705: Wiki links on field names New 2008-02-21

Related to Redmine - Feature #442: Add a description for trackers Closed

History

#1 - 2007-06-13 13:55 - Jean-Philippe Lang

You can create a new status named "ToMerge". Just go

in Admin -> Issue tracking -> Issue statuses.

I can't see how custom fields could be usefull for statuses.

Do you just need to add a "description" field for each

status ?

#2 - 2007-06-13 14:33 - bajs bajs

A description would be nice to have documentation for

site-specific stuff inside the issue tracker itself.

A site-specific status might be the one I wrote. Maybe more

formal like "Issue resolved in development branch. Will be

merged into the production branch next Merge Day, resolving

the issue. Merge Days are the third wednesday of every

month."

Or WaitCPU with description "Waiting for CPU cluster to be

available".

Some systems use "Pending". It's not always clear what

that

means. In this case "Pending" meant "Pending

clarification

or other data from customer".

#3 - 2007-06-13 14:35 - bajs bajs

So a description field would do, yes.

#4 - 2011-01-07 07:47 - Yves-Eric Martin

+1 on adding a description field to the statuses.

#5 - 2011-01-07 11:07 - Terence Mill

More Description fields in general would be useful.

See related Issue #6964, descriptions fields for roles, and descriptions for workflows/trackersd would be useful also.

#6 - 2011-03-23 09:18 - Toshi MARUYAMA

- Category set to Custom fields

2025-05-17 1/2

https://www.redmine.org/issues/6964


#7 - 2012-10-31 20:56 - Daniel Felix

Well, in my opinion, this could be closed. You can define some custom fields like you want.

Just add some custom field to your ticket as status description and everything should be fine, doesn't it? :)

#8 - 2013-03-25 20:55 - Dipan Mehta

I think instead of having custom fields on issue statuses - what is more desirable is to have contextual help framework which tells users "what to do"

depending on the status of the issue (for every field).

See Related #2568, #705, #442 for more information.

#9 - 2020-03-08 08:52 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Wont fix

Dipan Mehta wrote:

I think instead of having custom fields on issue statuses - what is more desirable is to have contextual help framework which tells users "what to

do" depending on the status of the issue (for every field).

See Related #2568, #705, #442 for more information.

 I agree. This request will be resolved if #2568 is implemented.
